<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.BaseAppInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.BaseAppInfo">
        <id column="id" property="id" />
        <result column="device_id" property="deviceId" />
        <result column="user_name" property="userName" />
        <result column="device_model" property="deviceModel" />
        <result column="access_ip" property="accessIp" />
        <result column="network_type" property="networkType" />
        <result column="network_service" property="networkService" />
        <result column="operate_system" property="operateSystem" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_by" property="updateBy" />
        <result column="create_by" property="createBy" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
        <result column="device_status" property="deviceStatus" />
        <result column="check_status" property="checkStatus" />
    </resultMap>

</mapper>
